fprintf('\n')
fprintf('-------------------------------------\n')
fprintf('Test_Recovery\n')
fprintf('-------------------------------------\n')
text_file='ECG_Compression/TABLE.txt'
clear PRD QS PRDN Mq Mlprd mean_lprd std_lprd lprd1 lprd
kd=0; for dat=dataN kd=kd+1;
filename=['ECG_Compression/MIT_BIHA_DATA/Record_' char(strcat(dat, '_11bits.dat'))];
fid=fopen(filename,'r');
f=fread(fid,'ubit11');
fclose(fid);
PRD(kd)=CalcPRD(f,fare(:,kd));
PRDN(kd)=CalcPRD(f-mean(f),fare(:,kd)-mean(f));
[cmf,h,lprd(kd,:),lprd1(kd,:)]=locprd(f,fare(:,kd),bw,0);
[Ma,ql]=max(lprd(kd,:));
Mq(kd)=ql;
Mlprd(kd)=Ma;
mean_lprd(kd)=mean(lprd(kd,:));
std_lprd(kd)=std(lprd(kd,:));
end
QS=CR./PRD;
clear A
for ii=1:48;
rec(ii)=str2num(dataN{ii});
end
A(:,1)=rec;
A(:,2)=mean_lprd;
A(:,3)=std_lprd;
A(:,4)=PRD;
A(:,5)=CR;
A(:,6)=QS;
A(:,7)=PRDN;
fileID = fopen(text_file,'w');
fprintf(fileID,'Rec  mprd  std   PRD   CR    QS      PRDN\n');
fprintf(fileID,'%d  %1.2f  %1.2f %1.2f %1.2f  %1.2f   %1.2f \n',A');
fprintf(fileID,'\n \n')
%fclose(fileID);

fprintf(fileID,' mean(mprs) mean(std)  mean(PDR)  mean(CR)  mean(QS) mean(PDRN)\n')
fprintf(fileID,'    %1.2f      %1.2f     %1.2f        %1.2f      %1.2f     %1.2f \n',mean(A(:,2:7)));
fprintf(fileID,'\n')
fprintf(fileID,'  std(mprs)  std(std)  std(PDR)  std(CR)   std(QS)  std(PRDN) \n')
fprintf(fileID,'    %1.2f      %1.2f     %1.2f       %1.2f      %1.2f    %1.2f \n',std(A(:,2:7)));
fclose(fileID);
type(text_file)
