function [cs,nlind]=SLWC(c,tol);
%
%Input
%       fw signal in the wavelet domain (i.e. after being 
%                                         transformed)
%       tol= parameter for the error tolerance
%Output
%       cs selected  wavelet coefficients
%       nlind indices of the selected  coefficients  
%
%
[cs,ic]=sort(abs(c));
nerror=cumsum(cs.^2);
nlind=ic(nerror>=tol^2);%selects the indices of largest coefficients up to square error tol^2
cs=c(nlind); 
%
