function [cmf,Nframe]=Signal_Partition(f,bw,ov);
%INPUTS
%
%f, signal
%bw, length of the frame 
%ov, overlap  (even nuember of common points)
%
%OUTPUTS
%
%cmf cells of size (bw,1)
%Nframe of blocks of size (bw-ov)
%
clear cmf t t0
Nframe=floor(numel(f)/(bw-ov));
t0=1;
lef=numel(f);
Nframeov=Nframe;
for j=1:Nframe;
t=t0:t0+bw-1;
t0=t0+(bw-ov);
if max(t)> lef; Nframe=Nframe-1; break;end
cmf{j}=f(t);
end

return
%check the recover
clear ff
ff=cmf{1}(1:bw-ov/2-1);
for ii=2:Nframe;
ff=[ff ;cmf{ii}(ov/2:bw-ov/2-1)];
end
fd=numel(ff);
f2ov=f(1:fd);
check=norm(f(1:numel(ff))-ff');
if check ==0 
fprintf('\n recovering ok,\n')
else
fprintf('\n problem with the recovery!!!!!!!!!!\,n')
end

